Opened 7 years ago

Closed 6 years ago

#7995 closed defect (fixed)

ooni instructions say to use mkvirtualenv; wheezy doesn't easily have it

Reported by: arma Owned by: isis
Priority: Medium Milestone:
Component: Archived/Ooni Version:
Severity: Keywords:
Cc: isis@… Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

https://github.com/hellais/ooni-probe#getting-started
says to apt-get install python-virtualenv virtualenvwrapper, and then has you run mkvirtualenv.

Apparently there is some extra implicit step I'm supposed to do.

At the least, your instructions should acknowledge that they won't work for wheezy users. Better is to make them work. :)

Child Tickets

Change History (2)

comment:1 Changed 7 years ago by isis

Cc: isis@… added
Owner: changed from hellais to isis
Status: newaccepted

Hmm. It seems that virtualenvwrapper is available for wheezy -- though I am not sure this was your problem.

There are extra steps which must be taken when setting up a virtualenv for the first time, it seems the README.ms in hellais' personal github repo assumes that a user already uses virtualenv.

I'll add this to my list of documentation items to update when I refactor the static generator for ooni.tpo to use pelican instead of hyde, and then I'll poke hellais to update their personal repo with the new .md file.

Thanks for testing, arma! :D

comment:2 Changed 6 years ago by isis

Resolution: fixed
Status: acceptedclosed

ooni-probe's README has been updated several times now, and now includes two separate sets of instructions for wheezy, one uses Debian's python-virtualenv and virtualenvwrapper packages, and the other explains how to install the latest version with pip.

I checked -- hellais' personal copy of the repo has been updated as well, and shows the newer README.

Note: See TracTickets for help on using tickets.